For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AcademyContact SalesHelp CenterDashboard
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
  • Get Started
    • Introduction
    • Authentication
  • Resources
    • Dynamic Prompt Injection
    • Outbound Number Pooling
    • Timezones
  • Platform API
      • POSTCreate an agent
      • PUTUpdate an agent
      • DELDelete an agent
      • GETList agents
      • GETGet an agent
      • PUTAttach phone numbers to an outbound agent
      • DELDetach phone number from an outbound agent
LogoLogo
AcademyContact SalesHelp CenterDashboard
Platform APIAgents

Get an agent

||View as Markdown|
GET
/assistants/:model_id
GET
/v2/assistants/:model_id
$curl https://api.synthflow.ai/v2/assistants/model_id \
> -H "Authorization: Bearer <token>"
1{
2 "status": "ok",
3 "response": {
4 "pagination": {
5 "total_records": 1,
6 "limit": 20,
7 "offset": 0
8 },
9 "assistants": [
10 {
11 "type": "inbound",
12 "name": "Retention Test Agent",
13 "model_id": "12acc0ac-df2a-47af-afe3-e1aa4380a307",
14 "actions": [],
15 "input_variables": []
16 }
17 ]
18 }
19}
Was this page helpful?
Previous

Attach phone numbers to an outbound agent

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

model_idstringRequired

Agent ID. You can find it on the agent’s page in your dashboard.

Query parameters

include_actionsbooleanOptionalDefaults to false

Include action IDs and input_variables grouped by action_id.

Response

200
statusstring
Whether the request was successful.
responseobject

Errors

400
Bad Request Error